--
-- Структура таблицы `ban_ip`
--

CREATE TABLE IF NOT EXISTS `ban_ip` (
  `id` int(9) NOT NULL auto_increment,
  `date` int(11) NOT NULL,
  `ip` bigint(11) NOT NULL,
  `reason` varchar(255) NOT NULL,
  `type` enum('1','2') NOT NULL,
  `url` varchar(100) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `ban_site`
--

CREATE TABLE IF NOT EXISTS `ban_site` (
  `id` int(9) NOT NULL auto_increment,
  `url` varchar(255) NOT NULL,
  `why` varchar(255) NOT NULL,
  `date` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `book`
--

CREATE TABLE IF NOT EXISTS `book` (
  `id` int(9) NOT NULL auto_increment,
  `time` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `text` text NOT NULL,
  `reply` text NOT NULL,
  `ip` bigint(11) NOT NULL,
  `ua` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `cat`
--

CREATE TABLE IF NOT EXISTS `cat` (
  `id` int(9) NOT NULL auto_increment,
  `title` varchar(100) NOT NULL,
  `about` varchar(255) NOT NULL,
  `place` int(9) NOT NULL ,
  `count` int(9) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `komm`
--

CREATE TABLE IF NOT EXISTS `komm` (
  `id` int(9) NOT NULL auto_increment,
  `id_site` int(9) NOT NULL,
  `id_news` int(9) NOT NULL,
  `name` varchar(100) NOT NULL,
  `text` varchar(255) NOT NULL,
  `date` int(11) NOT NULL,
  `ip` bigint(11) NOT NULL,
  `browser` tinytext NOT NULL,
  `reply` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `news`
--

CREATE TABLE IF NOT EXISTS `news` (
  `id` int(9) NOT NULL auto_increment,
  `name` varchar(100) NOT NULL,
  `text` text NOT NULL,
  `date` int(11) NOT NULL,
  `count` int(9) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `online`
--

CREATE TABLE IF NOT EXISTS `online` (
  `id` int(10) NOT NULL auto_increment,
  `ip` varchar(20) NOT NULL,
  `unix` varchar(60) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

-- --------------------------------------------------------
--
-- Структура таблицы `modules`
--

CREATE TABLE IF NOT EXISTS `modules` (
  `name` varchar(255) NOT NULL,
  `set` text NOT NULL,
  `data` text NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `modules`
--

INSERT INTO `modules` (`name`, `set`, `data`) VALUES
('faq', '1', ''),
('system', '', 'Общие настройки системы'),
('logon', '', 'Вход в админ-панель'),
('about', '1', ''),
('book', 'a:7:{s:6:"status";i:1;s:6:"bbcode";i:1;s:7:"smileys";i:1;s:7:"captcha";i:1;s:9:"antiflood";i:20;s:11:"lenght_name";i:50;s:11:"lenght_text";i:1000;}', 'гостевая книга'),
('news', 'a:6:{s:4:"view";i:1;s:4:"komm";i:1;s:6:"bbcode";i:1;s:7:"smileys";i:1;s:9:"prew_news";i:1;s:9:"antiflood";i:20;}', 'новости'),
('theme', 'light', 'дизайн сайта'),
('url_allow', 'com|net|org|info|biz|mobi|jux\\.su|spb\\.ru|msk\\.ru|com\\.ru|org\\.ru|net\\.ru|ru|su|in|us|bz|ws|wen\\.ru|wen\\.su|wen9\\.com|wen9\\.net|wen9\\.org|dum\\.su|fiz\\.su|hak\\.su|kan\\.su|koz\\.su|muk\\.su|nab\\.su|puz\\.su|tep\\.su|zat\\.su|wml\\.su|wml\\.in|wml\\.kz|wml\\.uz|wm\\.tj|wo\\.su|eh2\\.ru|yyoo\\.ru|wapi\\.tv|wapi\\.ws|xwml\\.in|xwml\\.net|xwml\\.org|xwml\\.biz|wap1\\.mobi|wap3\\.us|kmx\\.ru|hih\\.ru|lya\\.ru|wup\\.su|pp\\.ua|org\\.ua|net\\.ua|ua|com\\.ua|if\\.ua|uz\\.ua', 'Разрешенные доменный зоны'),
('captcha', 'a:4:{s:5:"width";i:120;s:6:"height";i:30;s:4:"type";i:0;s:4:"size";i:20;}', ''),
('anti_spam', 'a:5:{s:14:"security_level";i:1;s:10:"type_level";i:1;s:11:"status_book";i:1;s:11:"status_news";i:1;s:13:"status_review";i:1;}', 'Анти-спам');


--
-- Структура таблицы `logs`
--

CREATE TABLE IF NOT EXISTS `logs` (
  `id` int(9) NOT NULL auto_increment,
  `id_site` int(9) NOT NULL,
  `ip` bigint(11) NOT NULL,
  `ua` text NOT NULL,
  `time` int(11) NOT NULL,
  `data` varchar(255) NOT NULL,
  `type` int(1) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Структура таблицы `sites`
--

CREATE TABLE IF NOT EXISTS `sites` (
  `id` int(9) NOT NULL auto_increment,
  `id_cat` int(9) NOT NULL,
  `url` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `about` text NOT NULL,
  `type` enum('0','1') NOT NULL,
  `date` int(11) NOT NULL,
  `count` int(9) NOT NULL,
  `rate` int(11) NOT NULL,
  `ip` bigint(11) NOT NULL,
  `browser` tinytext NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;